	.module Test_LCD.c
	.area text(rom, con, rel)
	.dbfile C:\iccv720avr\examples.avr\LCD\Test_LCD.c
	.dbfunc e main _main fV
;             i0 -> R20,R21
	.even
_main::
	.dbline -1
	.dbline 18
; // **************************************************************
; // *** 					   LCD Demo V1.0  				  	  ***
; // ***          Written By P. Fletcher-Jones 9/5/01           ***
; // ***                   Last MOD 9/5/01			  		  ***
; // ***    Compiled with ImageCraft C compiler Version 6.21E   ***
; // **************************************************************
; 
; 
; #include <iom103v.h>
; 
; 
; #include "LCD.h"
;  void test( char *s);
; 
; 
; 
; void main (void)
; {
	.dbline 20
; int i;
; test("Hello World");
	ldi R16,<L2
	ldi R17,>L2
	xcall _test
	.dbline 21
; for (i = 0; i < 1000; i++)
	clr R20
	clr R21
L3:
	.dbline 22
; 	;  // delay
L4:
	.dbline 21
	subi R20,255  ; offset = 1
	sbci R21,255
	.dbline 21
	cpi R20,232
	ldi R30,3
	cpc R21,R30
	brlt L3
X0:
	.dbline 24
; /* Override the ports (using the default values!) */
; LCD_EN_PORT = &PORTC;
	ldi R24,53
	ldi R25,0
	sts _LCD_EN_PORT+1,R25
	sts _LCD_EN_PORT,R24
	.dbline 25
; LCD_DIR_PORT = &DDRA;
	ldi R24,58
	sts _LCD_DIR_PORT+1,R25
	sts _LCD_DIR_PORT,R24
	.dbline 26
; LCD_IP_PORT = &PINA;
	ldi R24,57
	sts _LCD_IP_PORT+1,R25
	sts _LCD_IP_PORT,R24
	.dbline 27
; LCD_OP_PORT = &PORTA;
	ldi R24,59
	sts _LCD_OP_PORT+1,R25
	sts _LCD_OP_PORT,R24
	.dbline 28
; LCD_RS_PORT = &PORTC;
	ldi R24,53
	sts _LCD_RS_PORT+1,R25
	sts _LCD_RS_PORT,R24
	.dbline 29
; LCD_RW_PORT = &PORTC;
	sts _LCD_RW_PORT+1,R25
	sts _LCD_RW_PORT,R24
	.dbline 30
; test("I am Alive");
	ldi R16,<L7
	ldi R17,>L7
	xcall _test
	.dbline -2
L1:
	.dbline 0 ; func end
	ret
	.dbsym r i0 20 I
	.dbend
	.dbfunc e test _test fV
;              s -> R10,R11
	.even
_test::
	st -y,R10
	st -y,R11
	mov R10,R16
	mov R11,R17
	sbiw R28,2
	.dbline -1
	.dbline 34
; }
; 
;  void test( char *s)
; {	
	.dbline 35
; Init_LCD();							// Setup the LCD
	xcall _Init_LCD
	.dbline 36
; LCD_Cursor_On();					// Turn Cursor ON
	xcall _LCD_Cursor_On
	.dbline 46
; 
; // *** These use store the text in RAM *** //
; //LCD_DisplayString(1,5,"Imagecraft"); 	// Display text on line 1 Character 2
; //LCD_DisplayString(2,6,"LCD Demo"); 		// Display text on line 2 Character 2
; 
; 
; // *** These use store the text in FLASH *** //
; // *** !! Must have strings in flash option set in Project options *** //
; 
; LCD_DisplayString_F(1,5,"Imagecraft"); 	// Display text on line 1 Character 2
	ldi R24,<L9
	ldi R25,>L9
	std y+1,R25
	std y+0,R24
	ldi R18,5
	ldi R16,1
	xcall _LCD_DisplayString_F
	.dbline 47
; LCD_DisplayString_F(2,6,"LCD Demo"); 	// Display text on line 2 Character 2
	ldi R24,<L10
	ldi R25,>L10
	std y+1,R25
	std y+0,R24
	ldi R18,6
	ldi R16,2
	xcall _LCD_DisplayString_F
	.dbline 48
; LCD_DisplayString_F(3,6, s);
	std y+1,R11
	std y+0,R10
	ldi R18,6
	ldi R16,3
	xcall _LCD_DisplayString_F
	.dbline -2
L8:
	.dbline 0 ; func end
	adiw R28,2
	ld R11,y+
	ld R10,y+
	ret
	.dbsym r s 10 pc
	.dbend
	.area data(ram, con, rel)
	.dbfile C:\iccv720avr\examples.avr\LCD\Test_LCD.c
L10:
	.blkb 9
	.area idata
	.byte 'L,'C,'D,32,'D,'e,'m,'o,0
	.area data(ram, con, rel)
	.dbfile C:\iccv720avr\examples.avr\LCD\Test_LCD.c
L9:
	.blkb 11
	.area idata
	.byte 'I,'m,'a,'g,'e,'c,'r,'a,'f,'t,0
	.area data(ram, con, rel)
	.dbfile C:\iccv720avr\examples.avr\LCD\Test_LCD.c
L7:
	.blkb 11
	.area idata
	.byte 'I,32,'a,'m,32,'A,'l,'i,'v,'e,0
	.area data(ram, con, rel)
	.dbfile C:\iccv720avr\examples.avr\LCD\Test_LCD.c
L2:
	.blkb 12
	.area idata
	.byte 'H,'e,'l,'l,'o,32,'W,'o,'r,'l,'d,0
	.area data(ram, con, rel)
	.dbfile C:\iccv720avr\examples.avr\LCD\Test_LCD.c
; }
