//ICC-AVR application builder : 24.03.2009 19:02:54
// Target : M128
// Crystal: 16.000Mhz

#include <iom128v.h>
#include <macros.h>
#include <eeprom.h>
#define Hi(Int) (char) (Int>>8)
#define Low(Int) (char) (Int)
//RX 100% Bat  3.3
//TX 25mw Bat 25.5
//0123456789ABCDEF
#define BIT7 0x80
#define BIT6 0x40
#define BIT5 0x20
#define BIT4 0x10
#define BIT3 0x08
#define BIT2 0x04
#define BIT1 0x02
#define BIT0 0x01
//PORTE45
#define BEEP_ON  (PORTE |= BIT4)
#define BEEP_OFF (PORTE &=~BIT4)
#define TU2_ON   (PORTE |= BIT5)
#define TU2_OFF   (PORTE &=~BIT5)
//2.6.10.12.13.14.15.16
__flash char mw[16] = {' ','2',' ','5','1','0','1','5','2','0','2','5','3','0','4','0'} ; 


#if 0
// *** Set port for LCD Data Bus 8 bit mode *** //
#define LCD_OP_PORT				PORTA
#define LCD_IP_PORT				PINA
#define LCD_DIR_PORT			DDRA


// *** Set LCD Register Select Port and Bit values *** //
#define LCD_RS_PORT				PORTC
#define RS_BIT                  BIT5
// *** Set LCD Read/Write Port and Bit values *** //
#define LCD_RW_PORT				PORTC
#define RW_BIT					BIT6
// *** Set LCD Enable Port and Bit values *** //
#define LCD_EN_PORT				PORTC
#define EN_BIT					BIT7

					


#endif

volatile unsigned char *LCD_EN_PORT = &PORTC;
volatile unsigned char *LCD_DIR_PORT = &DDRA;
volatile unsigned char *LCD_IP_PORT = &PINA;
volatile unsigned char *LCD_OP_PORT = &PORTA;
volatile unsigned char *LCD_RS_PORT = &PORTC;
volatile unsigned char *LCD_RW_PORT = &PORTC;

char LCD_RS_BIT = BIT(5);
char LCD_RW_BIT = BIT(6);
char LCD_EN_BIT = BIT(7);
#define SET_LCD_E      	        *LCD_EN_PORT |= LCD_EN_BIT
#define CLEAR_LCD_E       	    *LCD_EN_PORT &= ~LCD_EN_BIT

#define SET_LCD_DATA      	    *LCD_RS_PORT |= LCD_RS_BIT
#define SET_LCD_CMD       	    *LCD_RS_PORT &= ~LCD_RS_BIT

#define SET_LCD_READ      	    *LCD_RW_PORT |= LCD_RW_BIT
#define SET_LCD_WRITE      	    *LCD_RW_PORT &= ~LCD_RW_BIT

#define BUTTON_1				(!(PIND&0x80))
#define BUTTON_2				(!(PIND&0x40))
#define BUTTON_3				(!(PIND&0x20))

#define LCD_ON				0x0C   
#define LCD_CURS_ON			0x0D
#define LCD_OFF				0x08
#define LCD_HOME			0x02  
#define LCD_CLEAR			0x01
#define LCD_NEW_LINE		0xC0

#define LCD_FUNCTION_SET	0x38
#define LCD_MODE_SET		0x06


//  
#define rx 0
#define tx 1
#define pream  0
#define packet 1  
//26                        
#define SLE_1         (PORTD|=0x02)
#define SLE_0         (PORTD &=~ 0x02)
//27
#define SEND          (DDRD |= 0x04) 
#define GET           (DDRD &=~ 0x04)
#define DMSG_1        (PORTD |=0x04)
#define DMSG_0        (PORTD &=~0x04)
//28
#define SDATA_1       (PORTD|=0x08)
#define SDATA_0       (PORTD &=~0x08)
#define SDATA_IN      ((PIND&0x08)>>3)
#define READ_DATA     (DDRD &=~ 0x08)
#define WRITE_DATA    (DDRD |= 0x08)
//29
#define SCK_1         (PORTD|=0x10)
#define SCK_0         (PORTD &=~ 0x10)



// 
char getchar(void); //     
void putchar(char c);//     
void rfin(char inbit); //    
void pause(unsigned int delay);//     
void stop(char sto);//     
void WRITE_RF(char adr,unsigned long write);//     AT86RF211S
void READ_RF(char adr);//   AT86RF211S
char GET_SIGNAL(void);//      AT86RF211S
void adr_num(char adr);//   AT86RF211S
void RF_TX(void);//   
void TX(void);//  AT86RF211S   
void RX(void);//  AT86RF211S   
void OFF(void);//   Atmega16   . 
//    2    2   
void LCD_WriteControl (unsigned char CMD);
void Init_LCD(void);
void LCD_WriteData (unsigned char Data);
unsigned char LCD_Busy ( void );
void LCD_Clear(void);
void LCD_DisplayString (char row, char column ,unsigned char *string);
void LCD_Cursor (char row, char column);
void LCD_DisplayCharacter (char Char);
int CRC16(unsigned char *buf,int nach, int bufsize);
unsigned char rxtx=0;
union
{
unsigned char BYTE[4];
unsigned long TBUFF;


}DATA;
unsigned char bat1=0;
unsigned char bat2=0;
unsigned char bat3=0;
unsigned char press1=0;
unsigned char press2=0;
unsigned char press3=0;
unsigned long power=0;
unsigned int CRC_BUFF=0;
unsigned int CRC_ORIG=0;
unsigned int HEAD=0x2A15;
//,    Atmega16,     AT86RF211S
// F0            F1        F2
const  long CHANEL[3]=
{
0xF8546A78, 0xE994EEC8, 0xD8DCFA5E};    //433.07 Mhz dev=5 kHz 
/*0x290C4CF4, 0x80546A66, 0x1D6CDC52,    //433.17 Mhz dev=5 kHz  
0xDC8CC848, 0xBDC44AF8, 0x151CC8E2,    //433.27 Mhz dev=5 kHz 
0xFC94EA70, 0x0C54CC52, 0x7CD45EC4,    //433.37 Mhz dev=5 kHz 
0xBD4CFAF8, 0x2D8CDE48, 0x385C68C8,    //433.47 Mhz dev=5 kHz
0xB9D4CCCC, 0xA9CC4AFC, 0xBDECEECC,    //433.57 Mhz dev=5 kHz
0x85244AEA, 0x996C4CDA, 0xFC0C4EF0,    //433.67 Mhz dev=5 kHz
0x4DB4CC56, 0x8DE4EED2, 0x68BC6C44,    //433.77 Mhz dev=5 kHz
0x4C6478C4, 0xB8E45874, 0x1844FE5A,    //433.87 Mhz dev=5 kHz
0x583C685A, 0x58A4EECC, 0x2D145ED6,    //433.97 Mhz dev=5 kHz
0xD81C4C5E, 0xB894E848, 0xED34C8C8,    //434.07 Mhz dev=5 kHz
0xFC94D8FC, 0x699C7A48, 0xC8ACCEDE,    //434.17 Mhz dev=5 kHz
0x7DC4EA42, 0x7C1CCA74, 0xD1F46E6A,    //434.27 Mhz dev=5 kHz
0xEC4CECCE, 0x3DDCEACC, 0x8CBC4E58,    //434.37 Mhz dev=5 kHz
0x6D54CE7C, 0xC89C4CDA, 0x7DE4DEF0,    //434.47 Mhz dev=5 kHz
0xDC44DC48, 0xACDC78C8, 0xD8546ADE,    //434.57 Mhz dev=5 kHz
0x59544EDE, 0xCDCCEACC, 0x0C44DED2,    //434.67 Mhz dev=5 kHz
0x591CEED6, 0x588C48C4, 0x11B4D8E2,    //434.77 Mhz dev=5 kHz
0x5DC4F8F0, 0xB94C7A74, 0xC90C5ED2,    //434.87 Mhz dev=5 kHz
0xECA47AF0, 0x44BCDE62, 0xBD846AC8     //434.97 Mhz dev=5 kHz
*/
//
unsigned char s1=0;//     0-1
unsigned char s0=0;//     1-0
unsigned char chan=0;// 
unsigned char cnt_bit0=0;//  .  
unsigned char cnt_bit1=0;//  .  
unsigned char bit_cnt=0;//  
unsigned char  temp0=0;//    
unsigned char  temp1=0;//    
unsigned char  temp2=0;//    
unsigned char  temp3=0;//    
unsigned char stat=0;// ,     
unsigned char buff[];//   
unsigned char  cnt=0;//  
unsigned char byte_cnt=0;//  
unsigned char b1;// 
unsigned char signal=0;//  0-63
unsigned char signal1=0;//
unsigned char signal2=0;//
unsigned char rxsignal=0;
unsigned char rfbat=0;
unsigned char rxbat=0;
unsigned char rxbat1=0;
unsigned char rxbat2=0;
unsigned char rx_tx=rx;//      
unsigned char bat=0;//    0-65535
unsigned long CNTRL1=0x00280220;
unsigned char MUTE=0;
//  10011000  00101000   0 000 0010    00100000
//     98       28           72         20;

#define RSSI             (CNTRL1 &=~0x01000000)
#define VCC              (CNTRL1 |= 0x01000000)
#define WUEN_OFF         (CNTRL1 &=~0x04000000)
#define WUEN_ON          (CNTRL1 |= 0x04000000)
#define PDN_ON           (CNTRL1 |= 0x80000000)
#define PDN_OFF          (CNTRL1 &=~0x80000000) 
#define PAPDN_ON         (CNTRL1 |= 0x08000000)
#define PAPDN_OFF        (CNTRL1 &=~0x08000000)
#define RXTX_TX          (CNTRL1 |= 0x40000000)
#define RXTX_RX          (CNTRL1 &=~0x40000000)
#define CNTRL1_TX_LEVEL_0        ( CNTRL1 &=~ 0x00007000 )
#define CNTRL1_TX_LEVEL_7        ( CNTRL1 |=  0x00007000 )
#define CNTRL1_TX_LEVEL_SET        (CNTRL1 |= ((power/2)<<12) )
//     CRC-16
const unsigned char srCRCHi[]={
         0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0, 0x80, 0x41, 0x01, 0xC0,
         0x80, 0x41, 0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0, 0x80, 0x41,
         0x00, 0xC1, 0x81, 0x40, 0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0,
         0x80, 0x41, 0x01, 0xC0, 0x80, 0x41, 0x00, 0xC1, 0x81, 0x40,
         0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0, 0x80, 0x41, 0x00, 0xC1,
         0x81, 0x40, 0x01, 0xC0, 0x80, 0x41, 0x01, 0xC0, 0x80, 0x41,
         0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0, 0x80, 0x41, 0x00, 0xC1,
         0x81, 0x40, 0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0, 0x80, 0x41,
         0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0, 0x80, 0x41, 0x01, 0xC0,
         0x80, 0x41, 0x00, 0xC1, 0x81, 0x40, 0x00, 0xC1, 0x81, 0x40,
         0x01, 0xC0, 0x80, 0x41, 0x01, 0xC0, 0x80, 0x41, 0x00, 0xC1,
         0x81, 0x40, 0x01, 0xC0, 0x80, 0x41, 0x00, 0xC1, 0x81, 0x40,
         0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0, 0x80, 0x41, 0x01, 0xC0,
         0x80, 0x41, 0x00, 0xC1, 0x81, 0x40, 0x00, 0xC1, 0x81, 0x40,
         0x01, 0xC0, 0x80, 0x41, 0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0,
         0x80, 0x41, 0x01, 0xC0, 0x80, 0x41, 0x00, 0xC1, 0x81, 0x40,
         0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0, 0x80, 0x41, 0x01, 0xC0,
         0x80, 0x41, 0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0, 0x80, 0x41,
         0x00, 0xC1, 0x81, 0x40, 0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0,
         0x80, 0x41, 0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0, 0x80, 0x41,
         0x01, 0xC0, 0x80, 0x41, 0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0,
         0x80, 0x41, 0x00, 0xC1, 0x81, 0x40, 0x00, 0xC1, 0x81, 0x40,
         0x01, 0xC0, 0x80, 0x41, 0x01, 0xC0, 0x80, 0x41, 0x00, 0xC1,
         0x81, 0x40, 0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0, 0x80, 0x41,
         0x00, 0xC1, 0x81, 0x40, 0x01, 0xC0, 0x80, 0x41, 0x01, 0xC0,
         0x80, 0x41, 0x00, 0xC1, 0x81, 0x40
};
 const unsigned char srCRCLo[]={
         0x00, 0xC0, 0xC1, 0x01, 0xC3, 0x03, 0x02, 0xC2, 0xC6, 0x06,
         0x07, 0xC7, 0x05, 0xC5, 0xC4, 0x04, 0xCC, 0x0C, 0x0D, 0xCD,
         0x0F, 0xCF, 0xCE, 0x0E, 0x0A, 0xCA, 0xCB, 0x0B, 0xC9, 0x09,
         0x08, 0xC8, 0xD8, 0x18, 0x19, 0xD9, 0x1B, 0xDB, 0xDA, 0x1A,
         0x1E, 0xDE, 0xDF, 0x1F, 0xDD, 0x1D, 0x1C, 0xDC, 0x14, 0xD4,
         0xD5, 0x15, 0xD7, 0x17, 0x16, 0xD6, 0xD2, 0x12, 0x13, 0xD3,
         0x11, 0xD1, 0xD0, 0x10, 0xF0, 0x30, 0x31, 0xF1, 0x33, 0xF3,
         0xF2, 0x32, 0x36, 0xF6, 0xF7, 0x37, 0xF5, 0x35, 0x34, 0xF4,
         0x3C, 0xFC, 0xFD, 0x3D, 0xFF, 0x3F, 0x3E, 0xFE, 0xFA, 0x3A,
         0x3B, 0xFB, 0x39, 0xF9, 0xF8, 0x38, 0x28, 0xE8, 0xE9, 0x29,
         0xEB, 0x2B, 0x2A, 0xEA, 0xEE, 0x2E, 0x2F, 0xEF, 0x2D, 0xED,
         0xEC, 0x2C, 0xE4, 0x24, 0x25, 0xE5, 0x27, 0xE7, 0xE6, 0x26,
         0x22, 0xE2, 0xE3, 0x23, 0xE1, 0x21, 0x20, 0xE0, 0xA0, 0x60,
         0x61, 0xA1, 0x63, 0xA3, 0xA2, 0x62, 0x66, 0xA6, 0xA7, 0x67,
         0xA5, 0x65, 0x64, 0xA4, 0x6C, 0xAC, 0xAD, 0x6D, 0xAF, 0x6F,
         0x6E, 0xAE, 0xAA, 0x6A, 0x6B, 0xAB, 0x69, 0xA9, 0xA8, 0x68,
         0x78, 0xB8, 0xB9, 0x79, 0xBB, 0x7B, 0x7A, 0xBA, 0xBE, 0x7E,
         0x7F, 0xBF, 0x7D, 0xBD, 0xBC, 0x7C, 0xB4, 0x74, 0x75, 0xB5,
         0x77, 0xB7, 0xB6, 0x76, 0x72, 0xB2, 0xB3, 0x73, 0xB1, 0x71,
         0x70, 0xB0, 0x50, 0x90, 0x91, 0x51, 0x93, 0x53, 0x52, 0x92,
         0x96, 0x56, 0x57, 0x97, 0x55, 0x95, 0x94, 0x54, 0x9C, 0x5C,
         0x5D, 0x9D, 0x5F, 0x9F, 0x9E, 0x5E, 0x5A, 0x9A, 0x9B, 0x5B,
         0x99, 0x59, 0x58, 0x98, 0x88, 0x48, 0x49, 0x89, 0x4B, 0x8B,
         0x8A, 0x4A, 0x4E, 0x8E, 0x8F, 0x4F, 0x8D, 0x4D, 0x4C, 0x8C,
         0x44, 0x84, 0x85, 0x45, 0x87, 0x47, 0x46, 0x86, 0x82, 0x42,
         0x43, 0x83, 0x41, 0x81, 0x80, 0x40
};






void port_init(void)
{
 PORTA = 0x00;
 DDRA  = 0x00;
 PORTB = 0x00;
 DDRB  = 0x00;
 PORTC = 0x00; //m103 output only
 DDRC  = 0xFF;
 PORTD = 0xF0;
 DDRD  = 0x1A;
 PORTE = 0x00;
 DDRE  = 0x31;
 PORTF = 0x00;
 DDRF  = 0x00;
 PORTG = 0x00;
 DDRG  = 0x00;
}

//   PORTD
#pragma interrupt_handler int0_isr:iv_INT0
void int0_isr(void)
{

}
//TIMER0 initialize - prescale:8
// WGM: Normal
// desired value: 20uSec
// actual value: 20,000uSec (0,0%)
void timer0_init(void)
{
 TCCR0 = 0x00; //stop
 ASSR  = 0x00; //set async mode
 TCNT0 = 0xF8; //set count
 OCR0  = 0x0A;
// TCCR0 = 0x02; //start timer
}

#pragma interrupt_handler timer0_ovf_isr:iv_TIM0_OVF
void timer0_ovf_isr(void)
{
 TCNT0 = 0xF8; //reload counter value 
 if (PIND&0x04) 
 {
if ((cnt_bit0>18)&&(s1>2))TCNT2 = 0xFE; 
 cnt_bit1++;
 s1++;
 s0=0;
 }
 else
 {if ((cnt_bit1>18)&&(s1>2))TCNT2 = 0xFE;
  cnt_bit0++;
   s0++;
 s1=0;
 }
}

//TIMER2 initialize - prescale:64
// WGM: Normal
// desired value: 420uSec
// actual value: 420,000uSec (0,0%)
void timer2_init(void)
{
 TCCR2 = 0x00; //stop
 TCNT2 = 0x97; //setup
 OCR2  = 0x69;
 //TCCR2 = 0x03; //start
}

#pragma interrupt_handler timer2_ovf_isr:iv_TIM2_OVF
void timer2_ovf_isr(void)
{
  //reload counter value
TCNT0 = 0xF8;
  //reload counter value

 switch(rx_tx)
 {
case rx:

TCNT2 = 0x94; 
if (cnt_bit1>cnt_bit0) 
{
cnt_bit1=cnt_bit0=0;
rfin(1);
}else
{
cnt_bit1=cnt_bit0=0;
rfin(0);
}

break;

case tx:

TCNT2 = 0x99;
RF_TX();

break;

}
}




//Watchdog initialize
// prescale: 2048K
void watchdog_init(void)
{
 WDR (); //this prevents a timeout on enabling
 WDTCR |= (1<<WDCE) | (1<<WDE);/* 30-Oct-2006 Umesh*/  
 WDTCR = 0x0F; //WATCHDOG ENABLED - dont forget to issue WDRs
}


//ADC initialize
// Conversion time: 104uS
void adc_init(void)
{
  ADCSRA = 0x00;//disable adc
 ADMUX = 0x00; //select adc input 0
 ACSR  = 0x80;
 ADCSRA = 0xED;
}

#pragma interrupt_handler adc_isr:iv_ADC
void adc_isr(void)
{
bat=0; //conversion complete, read value (int) using...
bat=ADCL>>2;            //Read 8 low bits first (important)
bat +=ADCH << 6; //read 2 high bits and shift into top byte
ADCSRA = 0x00;
}
//TIMER1 initialize - prescale:64
// WGM: 0) Normal, TOP=0xFFFF
// desired value: 5Hz
// actual value:  5,000Hz (0,0%)
void timer1_init(void)
{
 TCCR1B = 0x00; //stop
 TCNT1H = 0x3C; //setup
 TCNT1L = 0xB0;
 OCR1AH = 0xC3;
 OCR1AL = 0x50;
 OCR1BH = 0xC3;
 OCR1BL = 0x50;
 OCR1CH = 0xC3;
 OCR1CL = 0x50;
 ICR1H  = 0xC3;
 ICR1L  = 0x50;
 TCCR1A = 0x00;
// TCCR1B = 0x03; //start Timer
}

#pragma interrupt_handler timer1_ovf_isr:iv_TIM1_OVF
void timer1_ovf_isr(void)
{
 //TIMER1 has overflowed

 TCNT1H = 0x9E; //reload counter high value
 TCNT1L = 0x58; //reload counter low value//reload counter low value

BEEP_OFF;
if ((BUTTON_1)&&(!press1))
{press1=1;
if (power>1)
{
power-=2;
BEEP_ON;
CNTRL1_TX_LEVEL_0;
CNTRL1_TX_LEVEL_SET;
WRITE_RF(4,CNTRL1);
rxtx=9;
}
} 
if ((BUTTON_2)&&(!press2))
{press2=1;
if (power<14)
{ power+=2;
BEEP_ON;

CNTRL1_TX_LEVEL_0;
CNTRL1_TX_LEVEL_SET;
WRITE_RF(4,CNTRL1);
rxtx=9;
}
}
if ((!BUTTON_1)&&(press1))
{press1=0;

}
if ((!BUTTON_2)&&(press2))
{press2=0;

}
if ((BUTTON_3)&&(!press3))
{press3=1;
MUTE^=1;
BEEP_ON;
rxtx=2;
LCD_Clear();
if (MUTE)
{
LCD_DisplayString(1,1," MUTE ON ");
}else LCD_DisplayString(1,1," MUTE OFF ");
}

if ((!BUTTON_3)&&(press3))
{press3=0;

}

rxtx++;
if (rxtx==1) 
{ADCSRA = 0xED;
TX();

rxsignal=0;
rfbat=0;
}

if (rxtx>9)
{
rxtx=0;
signal=rxsignal;
rxbat=rfbat;
signal1=((signal/10))+0x30;
signal2=(signal-((signal/10)*10));
rxbat1=((rxbat/10));
rxbat2=(rxbat-((rxbat/10)*10));
LCD_Clear();
if (bat<105)
 {
BEEP_ON;
LCD_DisplayString(2,1,"TX   mw LOW ");
}else LCD_DisplayString(2,1,"TX   mw Bat ");

LCD_DisplayString(1,1,"RX    % Bat  *.*");


LCD_Cursor(1,5);

if(signal1==0x30) signal1=' ';
LCD_WriteData(signal1);
LCD_WriteData(signal2+0x30);


LCD_Cursor(1,14);


LCD_WriteData(rxbat1+0x30);
LCD_WriteData('.');
LCD_WriteData(rxbat2+0x30);
LCD_Cursor(2,4);

LCD_DisplayCharacter(mw[power]);
LCD_DisplayCharacter(mw[power+1]);
LCD_Cursor(2,13);
bat1=(bat/100);
bat2=(bat-(bat1*100))/10;
bat3=(bat-(bat1*100))-(bat2*10);

LCD_DisplayCharacter(bat1+0x30);
LCD_DisplayCharacter(bat2+0x30);
LCD_DisplayCharacter('.');
LCD_DisplayCharacter(bat3+0x30);
}

}

//UART0 initialize
// desired baud rate: 9600
// actual: baud rate:9615 (0,2%)
// char size: 8 bit
// parity: Disabled
void uart0_init(void)
{
 UCSR0B = 0x00; //disable while setting baud rate
 UCSR0A = 0x00;
 UCSR0C = 0x06;
 UBRR0L = 0x67; //set baud rate lo
 UBRR0H = 0x00; //set baud rate hi
 UCSR0B = 0x18;
}



void init_devices(void)
{
 //stop errant interrupts until set up
 CLI(); //disable all interrupts
 XDIV  = 0x00; //xtal divider
 XMCRA = 0x00; //external memory
 port_init();
timer0_init();
timer1_init();
timer2_init();
uart0_init();
watchdog_init();
adc_init();
 MCUCR = 0x00;
 EICRA = 0x00; //extended ext ints
 EICRB = 0x00; //extended ext ints
 EIMSK = 0x00;
 TIMSK = 0x45; //timer interrupt sources
 ETIMSK = 0x00; //extended timer interrupt sources
 SEI(); //re-enable interrupts
 //all peripherals are now initialized
}

//
void main(void)
{
unsigned char test_lcd=0;


WDR ();
CLI();
init_devices();
Init_LCD();
WDR ();
stop(20);
if (!(BUTTON_3))
{
WDR ();
stop(10);

WDR ();
  LCD_DisplayString(1,1,"TORPEDA Ver 1.0");
LCD_DisplayString(2,1," LOADING...");
BEEP_ON;
stop(20);
BEEP_OFF;
WDR ();
stop(50);

WDR ();
LCD_Clear();
LCD_DisplayString(1,1,"*-DISPLAY TEST-*");
stop(70);

WDR ();
LCD_Clear();
stop(5);
WDR ();

for (test_lcd=0;test_lcd<17;test_lcd++)
{
LCD_Cursor (1, test_lcd);
LCD_DisplayCharacter(255);
WDR ();
stop(2);
}
for (test_lcd=0;test_lcd<17;test_lcd++)
{
LCD_Cursor (2, test_lcd);
LCD_DisplayCharacter(255);
WDR ();
stop(2);
}

WDR ();
stop(40);

LCD_Clear();
LCD_DisplayString(1,1,"*-BUTTON TEST-*");
WDR ();
while(!BUTTON_1)
{

}
BEEP_ON;
stop(2);
BEEP_OFF;
LCD_DisplayString(2,1,"BUTTON 1 PRESSED");
WDR ();
while(!BUTTON_2)
{

}
BEEP_ON;
stop(2);
BEEP_OFF;
LCD_DisplayString(2,8,"2");
WDR ();
while(!BUTTON_3)
{

}

BEEP_ON;
stop(2);
BEEP_OFF;
WDR ();
LCD_DisplayString(2,8,"3");
WDR ();
stop(50);
WDR ();
LCD_Clear();
if ((bat>100)&&(bat<150))
{
LCD_DisplayString(1,1,"NORMAL VOLTAGE");
}
if (bat<101)
{
LCD_DisplayString(1,1," LOW   VOLTAGE");
}
if (bat>149)
{
LCD_DisplayString(1,1," HIGH  VOLTAGE");
}
LCD_DisplayString(2,1,"Battery ");
bat1=(bat/100);
bat2=(bat-(bat1*100))/10;
bat3=(bat-(bat1*100))-(bat2*10);

LCD_DisplayCharacter(bat1+0x30);
LCD_DisplayCharacter(bat2+0x30);
LCD_DisplayCharacter('.');
LCD_DisplayCharacter(bat3+0x30);
LCD_DisplayCharacter('v');
WDR ();
stop(50);
WDR ();
stop(50);
WDR ();
stop(50);

LCD_Clear();
 
 LCD_DisplayString(1,1,"*TEST AT86RF211*");
WDR ();
stop(70);

  
WDR ();

 pause(20);
 WRITE_RF(11,0);
 pause(220);
 WRITE_RF(0,CHANEL[0]);
 pause(20);
 WRITE_RF(1,CHANEL[1]);
 pause(20);
 WRITE_RF(2,CHANEL[2]);
 pause(20);
 WRITE_RF(4,CNTRL1);
 pause(20);
 WDR ();
 READ_RF(4);

if (DATA.TBUFF==CNTRL1)//ijijijijijijjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjjj
 
{

LCD_Clear();
LCD_DisplayString(1,1,"*TEST AT86RF211*");
LCD_DisplayString(2,1,"......OK ");
WDR ();
stop(50);
WDR ();

ADCSRA = 0xED;
stop(5);
 


LCD_Clear();
 LCD_DisplayString(1,1,"RX ***% Bat  *.*");

 LCD_DisplayString(2,1,"TX   mw Bat ");
LCD_Cursor(2,4);
WDR();
LCD_DisplayCharacter(mw[power]);
LCD_DisplayCharacter(mw[power+1]);
LCD_Cursor(2,13);
bat1=(bat/100);
bat2=(bat-(bat1*100))/10;
bat3=(bat-(bat1*100))-(bat2*10);

LCD_DisplayCharacter(bat1+0x30);
LCD_DisplayCharacter(bat2+0x30);
LCD_DisplayCharacter('.');
LCD_DisplayCharacter(bat3+0x30);

 RX();
stop(3);
TCCR2 = 0x03;
TCCR0 = 0x02;
TCCR1B = 0x03;
}
 else 
 {WDR ();

 
LCD_Clear();
 
 LCD_DisplayString(1,1,"*TEST AT86RF211*");
 LCD_DisplayString(2,1,"  Fatal ERROR   ");
 stop(50); 
 WDR ();
 stop(50); 
 WDR ();
 LCD_DisplayString(2,1,"System  RESET");
 stop(10);
 LCD_DisplayString(2,1,"System       ");
 stop(10);
 LCD_DisplayString(2,1,"System  RESET");
 stop(10); 
 LCD_DisplayString(2,1,"System       ");
 stop(10);
 LCD_DisplayString(2,1,"System  RESET");
 stop(10);
 LCD_DisplayString(2,1,"System       ");
 stop(10);
 LCD_DisplayString(2,1,"System  RESET");

 
 
 
}
}else
{WDR ();
 pause(20);
 WRITE_RF(11,0);
 pause(220);
 WRITE_RF(0,CHANEL[0]);
 pause(20);
 WRITE_RF(1,CHANEL[1]);
 pause(20);
 WRITE_RF(2,CHANEL[2]);
 pause(20);
 WRITE_RF(4,CNTRL1);
 pause(20);
 
WDR ();
LCD_Clear();
LCD_DisplayString(1,1,"*TEST AT86RF211*");
LCD_DisplayString(2,1,"......OK ");
WDR ();
stop(50);
WDR ();

ADCSRA = 0xED;
stop(5);
 


LCD_Clear();
 LCD_DisplayString(1,1,"RX ***% Bat  *.*");

 LCD_DisplayString(2,1,"TX   mw Bat ");
LCD_Cursor(2,4);
WDR();
LCD_DisplayCharacter(mw[power]);
LCD_DisplayCharacter(mw[power+1]);
LCD_Cursor(2,13);
bat1=(bat/100);
bat2=(bat-(bat1*100))/10;
bat3=(bat-(bat1*100))-(bat2*10);

LCD_DisplayCharacter(bat1+0x30);
LCD_DisplayCharacter(bat2+0x30);
LCD_DisplayCharacter('.');
LCD_DisplayCharacter(bat3+0x30);

 RX();
TCCR1B = 0x03;


}  //insert your functional code here...

}
void putchar(char c)
  {
   while ( !(UCSR0A & (1<<UDRE0)) )
        ;                     
    /* Putting data into buffer , sends the data */
    UDR0 = c;  
  } 
char getchar(void)
    {
      while ( !(UCSR0A & (1<<UDRE0)) )
        ;                     
   
	return UDR0;
	
    }	
	
void rfin(char inbit)
{
 

switch(stat)
{
//128654 0 0 0 0     1 1 0 0    1 0 0 0      0 1 1 0   0 1 0 1   0 1 0 0
//       10101010    01011010   01101010     10010110  10011001  10011010
//         0xAA        0x5A       0x6A          0x96     0x99      0x9A

case pream:

   WDR();
    temp3  = (temp3  << 1) | (temp2  >> 7);
    temp2  = (temp2  << 1) | (temp1  >> 7);
    temp1  = (temp1  << 1) | (temp0  >> 7);
    temp0  = (temp0  << 1) | inbit;
//1980    0 0 0 1    1 0 0 1      1 0 0 0    0 0 0 0   
//        10101001   01101001     01101010   10101010   
//          0xA9       0x69         0x6A       0xAA     
if ((temp3==0xA9)&&(temp2==0x69)&&(temp1==0x6A)&&(temp0==0xAA)) 
{
stat=packet;
cnt=200;
byte_cnt=0;
bit_cnt=0;
b1=0;
}
break;
case packet:

if (!b1) 
{
if (inbit) b1=1;else b1=2; 
}
if ((!inbit)&&(b1==1)) bit_cnt++,buff[cnt]<<=1,b1=0;
if (( inbit)&&(b1==2)) bit_cnt++,buff[cnt]<<=1,buff[cnt]|=1,b1=0;
if (bit_cnt==8) bit_cnt=0,cnt++;
if ((cnt==202)&&(!bit_cnt))
{

byte_cnt=(buff[201])+200;
if (byte_cnt>210) b1=0,stat=pream;
}

if (cnt==byte_cnt)
{
TCCR2 = 0x00;
TCCR0 = 0x00;
temp3=temp2=temp1=temp0=0;
stat=pream;
CRC_BUFF=buff[byte_cnt-1];
CRC_BUFF=(CRC_BUFF<<8)|(buff[byte_cnt]);
CRC_ORIG=CRC16(buff,201,byte_cnt-1);
if (CRC_BUFF==CRC_ORIG)
{
if (!MUTE) BEEP_ON;
rxsignal=buff[202];
rfbat=buff[203];
rxtx=9;
}
CRC_BUFF=0;
stop(1);
BEEP_OFF;
TCCR2 = 0x03;
TCCR0 = 0x02;
}
break;
}
}

void WRITE_RF(char adr,unsigned long write)
{
char i;
adr_num(adr);
SDATA_1;
pause(1);
SCK_1;
pause(2);
SDATA_1;
pause(3);
SCK_1;
pause(2);
SCK_0;
for(i=0;i<32;i++)
{
pause(4);
if (write&0x80000000) SDATA_1; else SDATA_0;
write<<=1;
SCK_1;
pause(10); 
SCK_0;
pause(5);
}
SDATA_0;
SLE_1;

}
void READ_RF(char adr)
{char i;
adr_num(adr);
SDATA_0;
pause(5);
SCK_1;
SDATA_0;
pause(10);
SCK_0;
pause(10);
READ_DATA;
for (i=0;i<32;i++)
{
DATA.TBUFF<<=1;
DATA.TBUFF+=SDATA_IN;
SCK_0;
pause(10);
SCK_1;

}
pause(10);
DATA.TBUFF<<=1;
DATA.TBUFF+=SDATA_IN;
pause(10);
SLE_1;

}


char GET_SIGNAL(void)
{char i;

char sig=0;
adr_num(5);
SDATA_0;
pause(5);
SCK_1;
SDATA_0;
pause(10);
SCK_0;
pause(10);
READ_DATA;
SCK_0;
pause(10);
SCK_1;
pause(10);
SCK_0;
pause(10);
SCK_1;

for (i=0;i<6;i++)
{

sig<<=1;
sig|=SDATA_IN;
SCK_0;
pause(10);
SCK_1;

}
pause(10);
SLE_1;

return sig;

}

void adr_num(char adr)
{
char i;
DDRD  = 0x1A;
WRITE_DATA;
SLE_1;
pause(20);
SCK_0;
SDATA_0;
SLE_0;
pause(2);
for(i=0;i<4;i++)
{SCK_0;
pause(2);
if ((adr>>(3-i))&0x01) SDATA_1;else SDATA_0;
pause(2);
SCK_1;
pause(10);
}
SCK_0;
pause(4);
}


void RF_TX(void)
{
if (cnt==byte_cnt)
{
RX();
}
else
{
if (cnt<200)
{
if (HEAD&0x0100) DMSG_1;else DMSG_0; 
HEAD<<=1;
bit_cnt++;
if (bit_cnt==9) bit_cnt=0,cnt++,b1=0,HEAD=0x0150;
}
else
{

if (!b1) 
{
if ((buff[cnt])&0x80) DMSG_0,b1=1;else DMSG_1,b1=2; 
}
if (b1==3) DMSG_1,b1=0,bit_cnt++,buff[cnt]<<=1;
if (b1==1) b1=3;
if (b1==4) DMSG_0,b1=0,bit_cnt++,buff[cnt]<<=1;
if (b1==2) b1=4;
if (bit_cnt==8) bit_cnt=0,cnt++,b1=0;
}
}

}

void TX(void)
{
TCCR2 = 0x00;
TCCR0 = 0x00;
HEAD=0x0150;
buff[200]=0xFF;//synch
buff[201]=0xFF;//synch
buff[202]=0x55;//synch
buff[203]=0x19;//ZAG
buff[204]=0x80;//ZAG
buff[205]=0x55;//
buff[206]=0x05;//   
buff[207]=0x01;//
buff[208]=0xC3;//crc16 low
buff[209]=0x20;//crc16 hi05 01 C3 20 

cnt=160;
byte_cnt=210;
rx_tx=tx;
b1=0;
bit_cnt=0;
PDN_ON;
RXTX_TX;
PAPDN_ON;
WRITE_RF(4,CNTRL1);
pause(1000);
DMSG_0;
SEND;
TCCR2 = 0x03;
}

void RX(void)
{
TCCR2 = 0x00;
TCCR0 = 0x00;
PAPDN_OFF;
RXTX_RX;
PDN_ON;
WRITE_RF(4,CNTRL1);
GET;
rx_tx=rx;
b1=0;
stat=pream;
TCCR2 = 0x03;
TCCR0 = 0x02;
}


void pause(unsigned int delay)
{
while(delay--)  ;
}

void LCD_WriteControl (unsigned char CMD)
{
	while (LCD_Busy()& 0X80);	// Test if LCD busy

	CLEAR_LCD_E;	   			// Disable LCD

	SET_LCD_WRITE ;				// Set LCD to write
	SET_LCD_CMD;				// Set LCD to command

	*LCD_DIR_PORT = 0xFF;		// LCD port output
	
	*LCD_OP_PORT = CMD;			// Load data to port

	SET_LCD_E;	   				// Write data to LCD

	asm("nop");
	
	CLEAR_LCD_E;	   			// Disable LCD
}


void Init_LCD(void)
{
	LCD_WriteControl (LCD_FUNCTION_SET);
	LCD_WriteControl (LCD_OFF);
	LCD_WriteControl (LCD_CLEAR);
	LCD_WriteControl (LCD_MODE_SET);
	LCD_WriteControl (LCD_ON);
	LCD_WriteControl (LCD_HOME);
}
void LCD_WriteData (unsigned char Data)
{

	while (LCD_Busy() & 0X80); 		// Test if LCD Busy

	CLEAR_LCD_E;	   				// Disable LCD

	SET_LCD_WRITE ;					// Set LCD to write
	SET_LCD_DATA;					// Set LCD to data

	*LCD_DIR_PORT = 0xFF;			// LCD port output
	
	*LCD_OP_PORT = Data;				// Load data to port

	SET_LCD_E;	   				 	// Write data to LCD

	asm("nop");

	CLEAR_LCD_E;	   				 // Disable LCD
}





unsigned char LCD_Busy ( void )
{

unsigned char temp;

CLEAR_LCD_E;	   				 // Disable LCD

*LCD_DIR_PORT = 0x00;			// Make I/O Port input

SET_LCD_READ;					// Set LCD to READ
SET_LCD_CMD;					// Set LCD to command

SET_LCD_E;	   				 //

asm("nop");

temp = *LCD_IP_PORT;				// Load data from port

CLEAR_LCD_E;	   				 // Disable LCD

return temp;					 // return busy flag
}

// ************************************************ //
// *** Clear the LCD screen (also homes cursor) *** //
// ************************************************ //
void LCD_Clear(void)
{
	LCD_WriteControl(0x01);
}


// *********************************************** //
// *** Position the LCD cursor at row 1, col 1 *** //
// *********************************************** //

void LCD_Home(void)
{
	LCD_WriteControl(0x02);
}


// ****************************************************************** //
// *** Display a single character, at the current cursor location *** //
// ****************************************************************** //

void LCD_DisplayCharacter (char Char)
{
	LCD_WriteData (Char);
}







// ******************************************************************* //
// *** Display a string at the specified row and column, using RAM *** //
// ******************************************************************* //

void LCD_DisplayString (char row, char column ,unsigned char *string)
{
	LCD_Cursor (row, column);
	while (*string)
		LCD_DisplayCharacter (*string++);
}



// *************************************************** //
// *** Position the LCD cursor at "row", "column". *** //
// *************************************************** //
void LCD_Cursor (char row, char column)
{
	switch (row) {
		case 1: LCD_WriteControl (0x80 + column - 1); break;
		case 2: LCD_WriteControl (0xc0 + column - 1); break;
		case 3: LCD_WriteControl (0x94 + column - 1); break;
		case 4: LCD_WriteControl (0xd4 + column - 1); break;
		default: break;
	}
}





// ************************** //
// *** Turn the cursor on *** //
// ************************** //
void LCD_Cursor_On (void)
{
	LCD_WriteControl (LCD_CURS_ON);
}


// *************************** //
// *** Turn the cursor off *** //
// *************************** //
void LCD_Cursor_Off (void)
{
	LCD_WriteControl (LCD_ON);
}


// ******************** //
// *** Turn Off LCD *** //
// ******************** //

void LCD_Display_Off (void)
{
	LCD_WriteControl(LCD_OFF);
}


// ******************* //
// *** Turn On LCD *** //
// ******************* //

void LCD_Display_On (void)
{
	LCD_WriteControl(LCD_ON);
}

void stop(char sto)
{
while(sto--) pause(0xFFFF);

}


//   CRC-16
//     
//    (   CRC-16)
int CRC16(unsigned char *buf,int nach, int bufsize)
{
  char CRC_Low = 0xFF;
  char CRC_High = 0xFF;
  int k;
  char carry;
  for (k=nach; k<bufsize; k++)
   {
    carry = CRC_Low ^ buf[k];
    CRC_Low = CRC_High ^ srCRCHi[carry];
    CRC_High = srCRCLo[carry];
   };
  //return (CRC_High);
  return((CRC_Low<<8)|CRC_High);
}//end CRC16()

